Subject: Re: bug#50186: Shell in emacs very annoying using zsh

From: Michael Heerdegen <[email-masked]>
Date: Fri, 27 Aug 2021 12:58:19 +0200

Juri Linkov <[email-masked]> writes:

> This is called "prompt", and you can change such multi-line prompt in zsh
>
>   PROMPT=$'%~\n%# '
>
> simply by removing \n.  Then the prompt will stay on one line.

And is it a known limitation of shell that multi-line prompts cause
problems?

Michael.